/*-------------------------------------------------------------------------+
| Copyright 2018 fortiss GmbH                                              |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.af3.platform.raspberry.generator.framework;

import org.fortiss.af3.generator.common.model.source.ByteContentUnit;

/**
 * Interface for generator extensions, which require a header file to be included.
 * 
 * @author hoelzl
 */
public interface IRasPiHeaderGeneratorExtension {
	/** Returns the name of the header file required by this executable. */
	String getHeaderFileName();

	/** Returns the header file as {@link ByteContentUnit} binary. */
	ByteContentUnit getHeaderFileContent();
}
